Altibase.jdbc.driver.sharding.core

## Class AltibaseShardingLogicalConnection

- java.lang.Object
- - Altibase.jdbc.driver.sharding.core.AltibaseShardingLogicalConnection

All Implemented Interfaces:
  java.lang.AutoCloseable, java.sql.Connection, java.sql.Wrapper

    public class AltibaseShardingLogicalConnection
    extends java.lang.Object
    implements java.sql.Connection

### Field Summary

Fields
`protected boolean` `mClosed`
`protected java.sql.Connection` `mPhysicalConnection`
`protected AltibaseShardingPooledConnection` `mPooledConnection`

### Fields inherited from interface java.sql.Connection

`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

### Constructor Summary

Constructors
Constructor and Description
`AltibaseShardingLogicalConnection(java.sql.Connection aPhysicalConnection, AltibaseShardingPooledConnection aParent)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clearWarnings()`
`void` `close()`
`void` `commit()`
`java.sql.Statement` `createStatement()`
`java.sql.Statement` `createStatement(int aResultSetType, int aResultSetConcurrency)`
`java.sql.Statement` `createStatement(int aResultSetType, int aResultSetConcurrency, int aResultSetHoldability)`
`boolean` `getAutoCommit()`
`java.lang.String` `getCatalog()`
`int` `getHoldability()`
`java.sql.DatabaseMetaData` `getMetaData()`
`int` `getTransactionIsolation()`
`java.util.Map` `getTypeMap()`
`java.sql.SQLWarning` `getWarnings()`
`boolean` `isClosed()`
`boolean` `isReadOnly()`
`java.lang.String` `nativeSQL(java.lang.String aSql)`
`java.sql.CallableStatement` `prepareCall(java.lang.String aSql)`
`java.sql.CallableStatement` `prepareCall(java.lang.String aSql, int aResultSetType, int aResultSetConcurrency)`
`java.sql.CallableStatement` `prepareCall(java.lang.String aSql, int aResultSetType, int aResultSetConcurrency, int aResultSetHoldability)`
`java.sql.PreparedStatement` `prepareStatement(java.lang.String aSql)`
`java.sql.PreparedStatement` `prepareStatement(java.lang.String aSql, int aAutoGeneratedKeys)`
`java.sql.PreparedStatement` `prepareStatement(java.lang.String aSql, int[] aColumnIndexes)`
`java.sql.PreparedStatement` `prepareStatement(java.lang.String aSql, int aResultSetType, int aResultSetConcurrency)`
`java.sql.PreparedStatement` `prepareStatement(java.lang.String aSql, int aResultSetType, int aResultSetConcurrency, int aResultSetHoldability)`
`java.sql.PreparedStatement` `prepareStatement(java.lang.String aSql, java.lang.String[] aColumnNames)`
`void` `releaseSavepoint(java.sql.Savepoint aSavepoint)`
`void` `rollback()`
`void` `rollback(java.sql.Savepoint aSavepoint)`
`void` `setAutoCommit(boolean aAutoCommit)`
`void` `setCatalog(java.lang.String aCatalog)`
`void` `setHoldability(int aHoldability)`
`void` `setReadOnly(boolean aReadOnly)`
`java.sql.Savepoint` `setSavepoint()`
`java.sql.Savepoint` `setSavepoint(java.lang.String aName)`
`void` `setTransactionIsolation(int aLevel)`
`void` `setTypeMap(java.util.Map aMap)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Connection

`abort, createArrayOf, createBlob, createClob, createNClob, createSQLXML, createStruct, getClientInfo, getClientInfo, getNetworkTimeout, getSchema, isValid, setClientInfo, setClientInfo, setNetworkTimeout, setSchema`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Field Detail

#### mPhysicalConnection

    protected java.sql.Connection mPhysicalConnection

#### mPooledConnection

    protected AltibaseShardingPooledConnection mPooledConnection

#### mClosed

    protected boolean mClosed

### Constructor Detail

#### AltibaseShardingLogicalConnection

    public AltibaseShardingLogicalConnection(java.sql.Connection aPhysicalConnection,
                                             AltibaseShardingPooledConnection aParent)

### Method Detail

#### close

    public void close()
               throws java.sql.SQLException

Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### isClosed

    public boolean isClosed()

Specified by:
  `isClosed` in interface `java.sql.Connection`

#### createStatement

    public java.sql.Statement createStatement()
                                       throws java.sql.SQLException

Specified by:
  `createStatement` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String aSql)
                                                throws java.sql.SQLException

Specified by:
  `prepareStatement` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String aSql)
                                           throws java.sql.SQLException

Specified by:
  `prepareCall` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### nativeSQL

    public java.lang.String nativeSQL(java.lang.String aSql)
                               throws java.sql.SQLException

Specified by:
  `nativeSQL` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### setAutoCommit

    public void setAutoCommit(boolean aAutoCommit)
                       throws java.sql.SQLException

Specified by:
  `setAutoCommit` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### getAutoCommit

    public boolean getAutoCommit()
                          throws java.sql.SQLException

Specified by:
  `getAutoCommit` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### commit

    public void commit()
                throws java.sql.SQLException

Specified by:
  `commit` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### rollback

    public void rollback()
                  throws java.sql.SQLException

Specified by:
  `rollback` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### getMetaData

    public java.sql.DatabaseMetaData getMetaData()
                                          throws java.sql.SQLException

Specified by:
  `getMetaData` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### setReadOnly

    public void setReadOnly(boolean aReadOnly)
                     throws java.sql.SQLException

Specified by:
  `setReadOnly` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### isReadOnly

    public boolean isReadOnly()
                       throws java.sql.SQLException

Specified by:
  `isReadOnly` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### setCatalog

    public void setCatalog(java.lang.String aCatalog)
                    throws java.sql.SQLException

Specified by:
  `setCatalog` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### getCatalog

    public java.lang.String getCatalog()
                                throws java.sql.SQLException

Specified by:
  `getCatalog` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### setTransactionIsolation

    public void setTransactionIsolation(int aLevel)
                                 throws java.sql.SQLException

Specified by:
  `setTransactionIsolation` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### getTransactionIsolation

    public int getTransactionIsolation()
                                throws java.sql.SQLException

Specified by:
  `getTransactionIsolation` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### getWarnings

    public java.sql.SQLWarning getWarnings()
                                    throws java.sql.SQLException

Specified by:
  `getWarnings` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### clearWarnings

    public void clearWarnings()
                       throws java.sql.SQLException

Specified by:
  `clearWarnings` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### createStatement

    public java.sql.Statement createStatement(int aResultSetType,
                                              int aResultSetConcurrency)
                                       throws java.sql.SQLException

Specified by:
  `createStatement` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String aSql,
                                                       int aResultSetType,
                                                       int aResultSetConcurrency)
                                                throws java.sql.SQLException

Specified by:
  `prepareStatement` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String aSql,
                                                  int aResultSetType,
                                                  int aResultSetConcurrency)
                                           throws java.sql.SQLException

Specified by:
  `prepareCall` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### getTypeMap

    public java.util.Map getTypeMap()
                             throws java.sql.SQLException

Specified by:
  `getTypeMap` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### setTypeMap

    public void setTypeMap(java.util.Map aMap)
                    throws java.sql.SQLException

Specified by:
  `setTypeMap` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### setHoldability

    public void setHoldability(int aHoldability)
                        throws java.sql.SQLException

Specified by:
  `setHoldability` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### getHoldability

    public int getHoldability()
                       throws java.sql.SQLException

Specified by:
  `getHoldability` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### setSavepoint

    public java.sql.Savepoint setSavepoint()
                                    throws java.sql.SQLException

Specified by:
  `setSavepoint` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### setSavepoint

    public java.sql.Savepoint setSavepoint(java.lang.String aName)
                                    throws java.sql.SQLException

Specified by:
  `setSavepoint` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### rollback

    public void rollback(java.sql.Savepoint aSavepoint)
                  throws java.sql.SQLException

Specified by:
  `rollback` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### releaseSavepoint

    public void releaseSavepoint(java.sql.Savepoint aSavepoint)
                          throws java.sql.SQLException

Specified by:
  `releaseSavepoint` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### createStatement

    public java.sql.Statement createStatement(int aResultSetType,
                                              int aResultSetConcurrency,
                                              int aResultSetHoldability)
                                       throws java.sql.SQLException

Specified by:
  `createStatement` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String aSql,
                                                       int aResultSetType,
                                                       int aResultSetConcurrency,
                                                       int aResultSetHoldability)
                                                throws java.sql.SQLException

Specified by:
  `prepareStatement` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String aSql,
                                                  int aResultSetType,
                                                  int aResultSetConcurrency,
                                                  int aResultSetHoldability)
                                           throws java.sql.SQLException

Specified by:
  `prepareCall` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String aSql,
                                                       int aAutoGeneratedKeys)
                                                throws java.sql.SQLException

Specified by:
  `prepareStatement` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String aSql,
                                                       int[] aColumnIndexes)
                                                throws java.sql.SQLException

Specified by:
  `prepareStatement` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`

#### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String aSql,
                                                       java.lang.String[] aColumnNames)
                                                throws java.sql.SQLException

Specified by:
  `prepareStatement` in interface `java.sql.Connection`
Throws:
  `java.sql.SQLException`